<?php


/**
 * @version 23.11.dev
 * @package    Datafeeds for Joomla
 * @author     Bram <bram@brambring.nl>
 * @copyright  2023 Bram Brambring
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

 \defined('_JEXEC') or die('Restricted access');
 
use Joomla\CMS\Form\Field\ListField;


class JFormFieldVelden extends ListField
{
    protected $type = 'Velden';
    protected $velden = [];

    public function renderField($options = [])
    {
        $this->velden=$options['velden'];
        return parent::renderField($options);
    }

    protected function getOptions()
    {
        $velden=[];
                $count=0;
        foreach ($this->velden as $k => $v) {
                            $velden[$count]=new stdClass();
                                $velden[$count]->text = $v;
                                        $velden[$count]->value = $k;
                                        $count++;
        }

        $options = array_merge(parent::getOptions(), $velden);
                    return $options;
    }
}
