<?php


/**
 * @version 23.11.dev
 * @package    Datafeeds for Joomla
 * @author     Bram <bram@brambring.nl>
 * @copyright  2023 Bram Brambring
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

 \defined('_JEXEC') or die('Restricted access');
 
use Joomla\CMS\Factory;


$template = $this->where['template'];
$chain=$this->where['chain'];
$document = Factory::getDocument();
if (method_exists($document,'setMetaData') ) {
    if ($chain !== false && $chain <= $this->robots_depth) {
          $robots= $this->robots;
    } else {
        $robots='noindex,nofollow';
    }
        $document->setMetaData('robots', $robots);


    if ($title = $this->where['title']) {
        $title = df_title($document->getTitle(), $this->where['title']);
        $document->setTitle($title);
        $document->setDescription($title);
        $document->setMetaData('keywords', str_replace('-', ',', $title));
    }
}
  echo $this->loadTemplate($template);
