<?php


/**
 * @version 23.11.dev
 * @package    Datafeeds for Joomla
 * @author     Bram <bram@brambring.nl>
 * @copyright  2023 Bram Brambring
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

 \defined('_JEXEC') or die('Restricted access');
 
use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;

/**
 * HTML View class for the DatafeedsWorld Component.
 */
class DatafeedsViewItems extends BaseHtmlView
{
    public function display($tpl = null)
    {
        $this->dataitems = $this->get('Dataitems');
        $this->pagination = $this->get('pagination');
        $this->where = $this->get('Where');
	$this->basequery = $this->get('Basequery');


        if (is_array($this->dataitems)) {
            parent::display($tpl);
        }
    }
}
