<?php


/**
 * @version 23.11.dev
 * @package    Datafeeds for Joomla
 * @author     Bram <bram@brambring.nl>
 * @copyright  2023 Bram Brambring
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

 \defined('_JEXEC') or die('Restricted access');
 

error_reporting(E_ERROR | E_WARNING | E_PARSE);
#use gzopen instead of fopen.
#if enabled you can use gz ( gzip ) compressed files for a faster download
#uncompressed will still work fine. gzopen is slighlty slower on uncompressed files
define('USE_GZOPEN', true);

#disable sending an encoding-accept gzip header
# define('DISABLE_GZIP_ENCODING','yes');

#allows use CURL to fetch files ( is allows prefetichng
define('FORCE_CURL', 'yes');

#force prefetching when using fopen
#define('FORCE_PREFETCH','yes');

#define a uniek ID for your site.  this is added to  DF_REF in the click url if present
define('DFREF', 'DEMO-SITE');



# http://affiliatefeeds.nl/en/217-load-protection.html
define('DF_LOAD_CHECK', true);
define('DF_LOAD_WAIT', 60);
define('DF_LOAD_MAX', 10);

#define('BOLCLIENTID', 'YOUR_ID');
#define('BOLCLIENTSECRET', 'YOUR-SECRET');
#define('BOLAFFID', '1091783'); #affilaite ID. Deze staat in het partner account op de pagina 'Account' onder 'Website'
#define('BOLAFFNAME', 'BOLLINK');#Rapportage kenmerk (Naam). De parser voegt zelf een subid toe

#define('DF_OPTIMIZE_ALL',1); # use the feedcron to optimize all database tables
#



 
 
 
#define('DISABLE_KEY_CHECK',1);
#define('DISABLE_RAW_CHECK',1);
#define('DISABLE_ITEMS_CHECK',1);


 
#
#Time outs ? Set max_execution_time
#ini_set('max_execution_time', 120);
#
include_once('iso2country.php');


function generic_gt_cb(&$item)
{
    generic_cb($item);
    list($item['field1'], $item['field2'], $item['field3'])=explode(">", $item['field1']);
}


function reizen_cb(&$item)
{
    generic_cb($item);
    reizen($item);
}

function reizen(&$item)
{
	#usefull code
}

function isoreizen(&$item)
{
    $item['field1']=iso2country($item['field1']);
    reizen($item);
}
function isoreizen_cb(&$item)
{
    generic_cb($item);
    isoreizen($item);
}

$fashion_rename1=[
"hosiery"=>"underwear",
"sleeping bags"=>"sleepwear",
"trunks"=>"underwear",
"beachwear"=>"swimwear",
"jeans & pants"=>"trousers",
"men's underwear"=>"underwear",
"tops & t's"=>"tops",
"trousers/jeans"=>"trousers",
"women`s access."=>"accessories",
"all"=>"other",
"boxer shorts"=>"underwear",
"bras"=>"underwear",
"briefs"=>"underwear",
"camisoles"=>"underwear",
"g-strings"=>"underwear",
"robes & slips"=>"underwear",
"shapewear"=>"underwear",
"singlets"=>"underwear",
"torsolettes/bodysuits"=>"underwear",
"rokjes en jurken"=>"rokken en jurken",
"rokken en jurken"=>"rokken en jurken",
"rokjes en jurkjes"=>"rokken en jurken",
"jassen en vesten"=>"jassen en vesten",
"jassen en vestjes"=>"jassen en vesten",
"leggings"=>"leggings en pantys",
"bo kado"=>"remove",
"bo sale"=>"remove",
"bo-sale"=>"remove",
];
function fashion(&$item)
{
    global $fashion_rename1;
    $m1=mb_strtolower(trim($item['field1']));
    # rename by lookup table
    if (isset($fashion_rename1[$m1])) {
        $n=$fashion_rename1[$m1];
        if ($n == 'remove') {
            $item=[];
            return;
        }
    }
}
$gender_rename=[
    'female'=>'Dames',
    'male'=>'Heren',
    'kids'=>'Kinderen',
    'unisex'=>'Unisex'

];
function sport(&$item)
{
    global $gender_rename;
    $m1=mb_strtolower(trim($item['field1']));
    # rename by lookup table
    $m1=$gender_rename[$m1]??$m1;
    if ($m1 == 'remove') {
        $item['title']='';//empty titles are not imported;
        return;
    }
    $item['field1']=$m1;
}

function sport_cb(&$item)
{
            generic_cb($item);
                sport($item);
}
function carldenig_cb(&$item)
{
            generic_cb($item);
            $n=explode("|", $item['field2']);
            $merk=mb_strtolower($item['field9']);
                $title=mb_strtolower($item['title']);
                $title=preg_replace("#^$merk#", "", $title);
                $title=preg_replace("#$merk$#", "", $title);
                $item['title']=$title.' '.trim($item['field19']);
                    $item['field3']=array_pop($n);
                    $item['field2']=array_pop($n);
                sport($item);
}
function nomad_cb(&$item)
{
                   generic_cb($item);
                                     $item['title']=str_ireplace('NOMAD®', '', $item['title']);
                                     $item['url']=preg_replace('#%2F%3F.*$#', '%2F', $item['url']);
                                                      $item['md5']=md5($item['url']);

                sport($item);
}




function fashion_cb(&$item)
{
    generic_cb($item);
    fashion($item);
}

function zanox_description_cb(&$item)
{
    $item['description']=$item['description_long'];
    generic_cb($item);
}
function bolifestyle_cb(&$item)
{
    generic_cb($item);
    $i=explode(';', $item['field1']);
    $item['field1']=$i[1];
    fashion($item);
}

function sunweb_cb(&$item)
{
    generic_cb($item);
    $item['field1']=mb_strtoupper($item['field1']);
    isoreizen($item);
}
# https://affiliatefeeds.nl/en/11-component-backend/240-how-to-fix-encoding-issues.html
function iso2utf8(&$item)
{
    foreach ($item as $k => $v) {
        if (! is_array($v)) {
          #utf8_decode is deprecated in php > 8.1
          # use mb_convert_encoding, iconv, inlt or a polyfil if your system does not support utf8_decode
          #$item[$k]=utf8_decode($v);

            $item[$k]=mb_convert_encoding($v, 'UTF-8', 'ISO-8859-1');
        } else {
            iso2utf8($item[$k]); //passing by reference
        }
    }
}

function iso2utf8_cb(&$item)
{
    iso2utf8($item);
    generic_cb($item);
}
