<?php


/**
 * @version 23.11.dev
 * @package    Datafeeds for Joomla
 * @author     Bram <bram@brambring.nl>
 * @copyright  2023 Bram Brambring
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

 \defined('_JEXEC') or die('Restricted access');
 
use Joomla\CMS\Form\Field\ListField;
use Joomla\CMS\Factory;



class JFormFieldFeed extends ListField
{
    protected $type = 'feed';

    protected function getOptions()
    {
        #echo $this->getFieldAttribute('attribute','base');
        $options=[];
        $table= $this->element['table']??'#__datafeeds';
        $db =Factory::getContainer()->get('DatabaseDriver');
        $query = $db->createQuery();
        $query->select('feed');
        $query->from($table);
        $query->group('`feed`');
        $db->setQuery($query);
        $fields = $db->loadColumn();
        foreach ($fields as $field) {
            $f=new stdClass();
            $f->text=$field;
            $f->value=$field;
                    $options[]=$f;
        }

        $options = array_merge(parent::getOptions(), $options);
        return $options;
    }
}
