<?php


/**
 * @version 23.11.dev
 * @package    Datafeeds for Joomla
 * @author     Bram <bram@brambring.nl>
 * @copyright  2023 Bram Brambring
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

 \defined('_JEXEC') or die('Restricted access');
 
echo '<div id="com_datafeeds">';
//
// Copyright brambring.nl
// https://affiliatefeeds.nl
// joomla@brambring.nl
//
/* this shows the 'current' menu categorries as thumbs 
 * for exampel as first page display
 * usefull with the group option in the menu configuration
 */
if ($this->pagination) {
    $links = $this->pagination->getPagesLinks();
    echo '<div class="pagination" id="datafeeds_top">'.$links.'</div>';
}
$fields=$this->get('Fields');
$next = $this->where['next_level'];
    if ($next <= 9) {
	$f=$fields[$next]??'';
    } else {
	$f='';
    }
$basequery=$this->get('Basequery');
echo '<div class="datafeeds_thumbs">';
foreach ($this->dataitems as $item) {
	if ( $f ) {
        	$s1=$item[$f]??'';
        	if ($s1) {
	    		$next_link=DatafeedsModelItems::makeRoute($basequery,"q$next",$s1);
            		$next_title = $s1;
		}
    	}
    $product_ref = $item['url'];
    $product_title = str_replace(["'", '&amp;', '&'], ['`', '&', '&amp;'], $item['title']);

    if ($s1) {
	    $next='<a title="'.$next_title.'" href="'.$next_link.'">'.$next_title.'</a>';
    } else {
	    $next='';
    }
    echo '<div class="datafeeds_thumb">
		<p class="datafeeds_thumb_p">'.
			$next.
		'</p>
        	<a class="dflink" href="'.$product_ref.'" target="_blank" title="'.$product_title.'" rel="nofollow">
   			<img loading="lazy"  class="datafeeds_thumb_img" src="'.$item['image'].'" alt="'.df_alt($product_title).'"  />
		</a>
	</div>';
}
?>
</div>
<?php
if ($this->pagination) {
    echo '<div class="pagination" id="datafeeds_bottom">'.$links.'</div>';
}
?>
</div>
<style>
div#datafeeds_top,div#datafeeds_bottom{
	text-align:center;
}
div.datafeeds_thumbs {
	display:flex;
	flex-wrap:wrap;
}
div.datafeeds_thumb{
	border:1px solid;
	width:125px;
	margin:5px;
	overflow:hidden;
}
.datafeeds_thumb_img{
	width:100%;
	margin:1px auto;
}
</style>

